# Pagination

Endpoints that accept page and `per_page` parameters are paginated. They expose four additional fields that contain data about your position in the response. For example, to display 15 results per page and view the second page of a `GET to /networks`, your final request would be `GET/networks?...page=2&per_page=5`

```javascript
{
"success": true,
"data": {
"current_page": 1,
"data": [],

"first_page_url": "http:/insurpass-
api.test/api/merchant/search_pharmacies?page=1",

"from": null,
"last_page": 1,

"last_page_url": "http://insurpass-
api.test/api/merchant/search_pharmacies?page=1",

"next_page_url": null,
"path": "http://insurpass-api.test/api/merchant/search_pharmacies",
"per_page": 15,
"prev_page_url": null,
"to": null,
"total": 0
},
"message": "Pharmacies retrieved successfully"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://milonics.gitbook.io/api-documentation/getting-started/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
